X2SYS_GET(GMTMANSECTION)

NAME
x2sys_get - Get track listing from track index databases

SYNOPSIS
x2sys_get -TTAG [ -Fflags ] [ -Rwest/east/south/north ] [ -S ] [ -V ]

DESCRIPTION
x2sys_get will return the track data files that match the given requirements. You may choose a geographic region and optionally ask only for tracks that meet certain data criteria.

TAG The unique name of this data type system.

OPTIONS
No space between the option flag and the associated arguments

-F  Give a comma-separated list of column names as defined in the definition file. [Default is all data columns].

-R  xmin, xmax, ymin, and ymax specify the Region of interest. For geographic regions, these limits correspond to west, east, south, and north and you may specify them in decimal degrees or in [+-]dd:mm[:ss.xxx][W|E|S|N] format. Append r if lower left and upper right map coordinates are given instead of wesn. The two shorthands -Rg -Rd stand for global domain (0/360 or -180/+180 in longitude respectively, with -90/+90 in latitude). For calendar time coordinates you may either give relative time (relative to the selected TIME_EPOCH and in the selected TIME_UNIT; append t to -JX|x), or absolute time of the form [date]T[clock] (append T to -JX|x). At least one of date and clock must be present; the T is always required. The date string must be of the form [-]yyyy[-mm[-dd]] (Gregorian calendar) or yyyy[-Www[-d]] (ISO week calendar), while the clock string must be of the form hh:mm:ss[.xxx]. The use of delimiters and their type and positions must be as indicated (however, input/output and plotting formats are flexible).

-S  Strip off the filename suffix when reporting.

-V  Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].

EXAMPLES
To find all the tracks associated with the tag MGD77, restricted to occupy a certain region in the south Pacific, and have at least free air anomalies and bathymetry, try

x2sys_get -V -TMGD77 -R180/240/-60/-30 -Ffaa,top

SEE ALSO
x2sys_binlist(GMTMANSECTION) x2sys_put(GMTMANSECTION)